# Licenses Object

> Source: https://truto.one/docs/api-reference/unified-user-directory-api/licenses/

Schema for the `Licenses` resource in **Unified User Directory API**.

## Properties

- **`id`** _(string, required)_
  Unique identifier for the license.
- **`name`** _(string)_
  Name of the license.
- **`description`** _(string)_
  Description for the license.
- **`available_quantity`** _(number)_
  Total number of licenses that can be assigned to users.
- **`assigned_quantity`** _(number)_
  Number of licenses that have been assigned to users.
- **`unit_amount`** _(number)_
  Unit amount for the license.
- **`roles`** _(array<object>)_
  Valid Roles for the license.
  - **`id`** _(string)_
    Unique identifier for the role.
  - **`name`** _(string)_
    Name of the role.
- **`is_paid`** _(boolean)_
  Whether the license is paid or not.
- **`currency`** _(string)_
  Currency for the license.
- **`status`** _(string)_
  Status for the license
  Allowed: `active`, `inactive`
- **`products`** _(array<object>)_
  The products that are part of the license.
  - **`id`** _(string)_
    Unique identifier for the product
  - **`name`** _(string)_
    The name of product
  - **`status`** _(string)_
    Status for the product within the license. Usually denotes the provisioning status.
    Allowed: `active`, `inactive`, `errored`, `needs_input`, `needs_confirmation`, `pending`
- **`created_at`** _(string)_
  Date and time when the license was created.
- **`updated_at`** _(string)_
  Date and time when the license was last updated.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/user-directory/licenses](/docs/api-reference/unified-user-directory-api/licenses/list) — List Licenses
- [GET /unified/user-directory/licenses/{id}](/docs/api-reference/unified-user-directory-api/licenses/get) — Get Licenses
